.;
.;----------------------------------------------------------------------------
.;
.;	CMD-FILE:	T T C H A R
.;	AUTHOR:		Jan H. Belgraver
.;	DATE:		27-JAN-84
.;	VERSION:	1.0
.;	PURPOSE:	Display of terminal characteristics
.;	DESCRIPTION:	
.;	MODIFIED BY:	
.;
.;----------------------------------------------------------------------------
.;
.;
.ENABLE	SUBSTITUTION
.SETN	DEV	10
.SETS	DAYDAT	<DATE>
.SETS	DAYTIM	<TIME>
.ENABLE		QUIET
VFC	TI:0
.DISABLE	QUIET
;
;	Terminal Characteristics on 'DAYDAT' at 'DAYTIM'		Page 1
;
;
;
;	Terminals with autobaud detection disabled
;
.ENABLE		QUIET
	SET /NOABAUD
.DISABLE	QUIET
;
;	Terminals with broadcast option enabled
;
.ENABLE		QUIET
	SET /BRO
.DISABLE	QUIET
;
;	Terminal buffer sizes
;
.ENABLE		QUIET
	.SETN	N	0
.BUF:	SET /BUF=TT'N':
	.INC	N
	.IF	N LE DEV	.GOTO	BUF
.DISABLE	QUIET
;
;	Terminal Command Line Interpreter
;
.ENABLE		QUIET
	.SETN	N	0
.CLI:	SET /CLI=TT'N':
	.INC	N
	.IF	N LE DEV	.GOTO	CLI
VFC	TI:0
.DISABLE	QUIET
;
;	Terminal Characteristics on 'DAYDAT' at 'DAYTIM'		Page 2
;
;
;
;	Terminals with CRT option disabled
;	(no backwards deletion option)
;
.ENABLE		QUIET
	SET /NOCRT
.DISABLE	QUIET
;
;	Terminals that recognize DCL commands
;
.ENABLE		QUIET
	SET /DCL
.DISABLE	QUIET
;
;	Terminals with 8-bit character option disabled
;
.ENABLE		QUIET
	SET /NOEBC
.DISABLE	QUIET
;
;	Terminals with echo option enabled
;
.ENABLE		QUIET
	SET /ECHO
VFC	TI:0
.DISABLE	QUIET
;
;	Terminal Characteristics on 'DAYDAT' at 'DAYTIM'		Page 3
;
;
;
;	Terminals with Escape Sequence recognition disabled
;
.ENABLE		QUIET
	SET /NOESCSEQ
.DISABLE	QUIET
;
;	Full-Duplex option disabled
;
.ENABLE		QUIET
	SET /NOFDX
.DISABLE	QUIET
;
;	Terminals with no hardware form feed
;
.ENABLE		QUIET
	SET /NOFORMFEED
.DISABLE	QUIET
;
;	Number of fill characters that follow a <CR>
;
.ENABLE		QUIET
	.SETN	N	0
.HFILL:	SET /HFILL=TT'N':
	.INC	N
	.IF	N LE DEV	.GOTO	HFILL
VFC	TI:0
.DISABLE	QUIET
;
;	Terminal Characteristics on 'DAYDAT' at 'DAYTIM'		Page 4
;
;
;
;	Terminals with no hardware horizontal tab
;
.ENABLE		QUIET
	SET /NOHHT
.DISABLE	QUIET
;
;	Hold-screen mode disabled
;
.ENABLE		QUIET
	SET /NOHOLD
.DISABLE	QUIET
;
;	Number of lines per page
;
.ENABLE		QUIET
	.SETN	N	0
.LINES:	SET /LINES=TT'N':
	.INC	N
	.IF	N LE DEV	.GOTO	LINES
.DISABLE	QUIET
;
;	Terminals with Lowercase conversion disabled
;
.ENABLE		QUIET
	SET /NOLOWER
VFC	TI:0
.DISABLE	QUIET
;
;	Terminal Characteristics on 'DAYDAT' at 'DAYTIM'		Page 5
;
;
;
;	Terminals that recognize MCR commands
;
.ENABLE		QUIET
	SET /MCR
.DISABLE	QUIET
;
;	Nonpriviledged terminals
;
.ENABLE		QUIET
	SET /NOPRIV
.DISABLE	QUIET
;
;	Terminals not connected to a modem
;
.ENABLE		QUIET
	SET /NOREMOTE
.DISABLE	QUIET
;
;	Terminals with read-pass-all option disabled
;
.ENABLE		QUIET
	SET /NORPA
VFC	TI:0
.DISABLE	QUIET
;
;	Terminal Characteristics on 'DAYDAT' at 'DAYTIM'		Page 6
;
;
;
;	Nonslaved terminals
;
.ENABLE		QUIET
	SET /NOSLAVE
.DISABLE	QUIET
;
;	Terminal speeds
;
.ENABLE		QUIET
	.SETN	N	0
.SPEED:	SET /SPEED=TT'N':
	.INC	N
	.IF	N LE DEV	.GOTO	SPEED
.DISABLE	QUIET
;
;	Terminal types
;
.ENABLE		QUIET
	.SETN	N	0
.TERM:	SET /TERM=TT'N':
	.INC	N
	.IF	N LE DEV	.GOTO	TERM
.DISABLE	QUIET
;
;	Terminals with typeahead option enabled
;
.ENABLE		QUIET
	SET /TYPEAHEAD
VFC	TI:0
.DISABLE	QUIET
;
;	Terminal Characteristics on 'DAYDAT' at 'DAYTIM'		Page 7
;
;
;
;	Terminals with vertical fill option disabled
;	(no four fill characters following a <LF>)
;
.ENABLE		QUIET
	SET /NOVFILL
.DISABLE	QUIET
;
;	Terminals with wrap-around option enabled
;
.ENABLE		QUIET
	SET /WRAP
VFC	TI:0
.DISABLE	QUIET
;
;	Terminal Characteristics on 'DAYDAT' at 'DAYTIM'		Page 8
;
;
;	Terminal characteristics per device
;
.ENABLE		QUIET
	.SETN	N	0
.DEVS:	DEV TT'N':
	.INC	N
	.IF	N LE DEV	.GOTO	DEVS
.EXIT
